<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
    <meta name="generator" content=
            "HTML Tidy for Linux (vers 25 March 2009), see www.w3.org">
    <meta http-equiv="Content-Type" content=
            "text/html; charset=us-ascii">
    <link href="bootstrap.min.css" media="screen" rel="stylesheet"
          type="text/css">
    <title>ehealthsuisse PPQ Repository mockup</title>
    <link rel="shortcut icon" href="favicon2.ico" type="image/x-icon">
    <script src="jquery.min.js" type="text/javascript">
    </script>
    <script src="bootstrap.min.js" type="text/javascript">
    </script>
</head>
<body bgcolor="white" text="black" class="container-fluid">
<div class="well well-small">
    <center>
        <h2>eHealthSuisse PPQ Repository MockUp</h2>
    </center>
</div>
<div class="row-fluid">
    <div class="span10 offset1">
        <p>eHealthSuisse PPQ Repository MockUp simulates a PPQ Repository actor.
        <p>
        <p>PPQ transactions are used by the policy source to add, update or delete policies stored in a policy repository<br>
            and used policy consumer to retrieve policies in the repository.<br>
            to do that, PPQ is build around of four different requests :
            <strong>XACMLPolicyQuery, AddPolicyRequest, UpdatePolicyRequest</strong> and <strong>DeletePolicyRequest</strong></p>
        <p><strong>XACMLPolicyQuery :</strong><br>
            The Policy Consumer sends this message when it needs to retrieve existing XACML policies<br>
            or policy sets of a patient stored byin a Policy Repository (of the patient?s referenceCommunity).</p>
        <p><strong>AddPolicyRequest</strong> and <strong>UpdatePolicyRequest :</strong><br>
            The Policy Source sends these messages when it needs to add new or update existing<br>
            policies and/or policy sets stored within the Policy Repository (of a patient?s referenceCommunity).</p>
        <p><strong>DeletePolicyRequest :</strong><br>
            The Policy Source sends these messages when it needs to delete existing patient-specific<br>
            policy sets stored within the Policy Repository (of a patient?s referenceCommunity).</p><br>
        <h3>Data Set</h3>
        <h4>Healthcare Professional data</h4>
        <table class="table table-striped">
            <tr>
                <th>Subject-id</th>
                <th>Subject-id-qualifier</th>
                <th>IdP Simulator username</th>
            </tr>
            <tr>
                <td>7601002469191</td>
                <td>urn:gs1:gln</td>
                <td>aandrews</td>
            </tr>
            <tr>
                <td>7601000050717</td>
                <td>urn:gs1:gln</td>
                <td>magpar</td>
            </tr>
            <tr>
                <td>7601002033572</td>
                <td>urn:gs1:gln</td>
                <td>rspieler</td>
            </tr>
        </table>
        <br>
        <h4>Patient data</h4>
        <table class="table table-striped">
            <tr>
                <th>Id_extension</th>
                <th>Id_root</th>
                <th>HomeCommunityId</th>
                <th>PolicySetID</th>
                <th>PolicyID</th>
                <th>IdP Simulator username</th>
            </tr>
            <tr>
                <td>761337610455909127</td>
                <td>2.16.756.5.30.1.127.3.10.3</td>
                <td>urn:oid:1.3.6.1.4.1.21367.2017.2.6.2</td>
                <td>urn:uuid:53ec6db9-f79a-40ce-a8ab-7e5070210bf1</td>
                <td>urn:e-health-suisse:2015:policies:permit-reading-normal</td>
                <td>aamrein</td>
            </tr>
            <tr>
                <td>761337610436974489</td>
                <td>2.16.756.5.30.1.127.3.10.3</td>
                <td>urn:oid:1.3.6.1.4.1.21367.2017.2.6.2</td>
                <td>urn:uuid:21285e65-14ba-4541-a5af-0313c639c1e3</td>
                <td>urn:e-health-suisse:2015:policies:permit-reading-normal</td>
                <td>lavdic</td>
            </tr>
            <tr>
                <td>761337610435209810</td>
                <td>2.16.756.5.30.1.127.3.10.3</td>
                <td>urn:oid:2.2.2</td>
                <td>x</td>
                <td>x</td>
                <td>bovie</td>
            </tr>
        </table>
        <br>
        <h3>End Point</h3>
        <a href="https://ehealthsuisse.ihe-europe.net:10443/ppq-repository?wsdl">https://ehealthsuisse.ihe-europe.net:10443/ppq-repository?wsdl</a>
        <p>It requires TLS mutual authentication with testing certificate (from GSS PKI). <a href="/ppq-repository?wsdl">The wsdl can be browsed
            here</a></p><br>
        <h3>XACMLPolicyQuery with Patient ID example</h3>
        <pre>&lt;soap:Envelope xmlns:soap="http://www.w3.org/2003/05/soap-envelope" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"&gt;
   &lt;soap:Header xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;
   &lt;wsa:Action&gt;urn:e-health-suisse:2015:policy-administration:PolicyQuery&lt;/wsa:Action&gt;
      &lt;wsa:MessageID&gt;807cf78a-36a0-4403-82d0-11f95d877188&lt;/wsa:MessageID&gt;
      &lt;wsa:ReplyTo&gt;
         &lt;wsa:Address&gt;http://www.w3.org/2005/08/addressing/anonymous&lt;/wsa:Address&gt;
      &lt;/wsa:ReplyTo&gt;
      &lt;wsa:To&gt;http://ehealthsuisse.ihe-europe.net/ppq-repository&lt;/wsa:To&gt;
      &lt;wss:Security xmlns:wss="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"&gt;
     		<span style="font-weight: bold; ">&lt;!-- Add an assertion here &lt;saml2:Assertion.... --&gt;</span>
      &lt;/wss:Security&gt;
   &lt;/soap:Header&gt;
   &lt;soap:Body&gt;
      &lt;xacml-samlp:XACMLPolicyQuery xmlns:xacml="urn:oasis:names:tc:xacml:2.0:policy:schema:os" xmlns:xacml-samlp="urn:oasis:names:tc:xacml:2.0:profile:saml2.0:v2:schema:protocol" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" ID="cb8e5238-0a9f-4766-9179-b2e765957bbb" Version="2.0" IssueInstant="2019-02-05T14:58:39.274+01:00"&gt;
         &lt;xacml-context:Request xmlns:xacml-context="urn:oasis:names:tc:xacml:2.0:context:schema:os" xmlns:hl7="urn:hl7-org:v3"&gt;
            &lt;xacml-context:Subject/&gt;
            &lt;xacml-context:Resource&gt;
               &lt;xacml-context:Attribute AttributeId="urn:e-health-suisse:2015:epr-spid" DataType="urn:hl7-org:v3#II"&gt;
                  &lt;xacml-context:AttributeValue&gt;
                        &lt;hl7:InstanceIdentifier xsi:type="hl7:II" root="<span style="background-color: yellow; font-weight: bold; ">2.16.756.5.30.1.127.3.10.3</span>" extension="<span style="background-color: yellow; font-weight: bold; ">761337610455909127</span>"/&gt;
                  &lt;/xacml-context:AttributeValue&gt;
               &lt;/xacml-context:Attribute&gt;
            &lt;/xacml-context:Resource&gt;
            &lt;xacml-context:Action/&gt;
            &lt;xacml-context:Environment/&gt;
         &lt;/xacml-context:Request&gt;
      &lt;/xacml-samlp:XACMLPolicyQuery&gt;
   &lt;/soap:Body&gt;
&lt;/soap:Envelope&gt;

</pre>
        <br>
        <h3>XACMLPolicyQuery with PolicySetIdReference example</h3>
        <pre>&lt;soap:Envelope xmlns:soap="http://www.w3.org/2003/05/soap-envelope" xmlns:xd="http://www.w3.org/2000/09/xmldsig#"&gt;
   &lt;soap:Header xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;
   &lt;wsa:Action&gt;urn:e-health-suisse:2015:policy-administration:PolicyQuery&lt;/wsa:Action&gt;
      &lt;wsa:MessageID&gt;807cf78a-36a0-4403-82d0-11f95d877188&lt;/wsa:MessageID&gt;
      &lt;wsa:ReplyTo&gt;
         &lt;wsa:Address&gt;http://www.w3.org/2005/08/addressing/anonymous&lt;/wsa:Address&gt;
      &lt;/wsa:ReplyTo&gt;
      &lt;wsa:To&gt;http://ehealthsuisse.ihe-europe.net/ppq-repository&lt;/wsa:To&gt;
      &lt;wss:Security xmlns:wss="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"&gt;
     		<span style="font-weight: bold; ">&lt;!-- Add an assertion here &lt;saml2:Assertion.... --&gt;</span>
      &lt;/wss:Security&gt;
   &lt;/soap:Header&gt;
   &lt;soap:Body&gt;
      &lt;xacml-samlp:XACMLPolicyQuery ID="cb8e5238-0a9f-4766-9179-b2e765957bbb" Version="2.0" IssueInstant="2019-02-12T14:08:21.963Z" xmlns:xacml="urn:oasis:names:tc:xacml:2.0:policy:schema:os" xmlns:xacml-samlp="urn:oasis:names:tc:xacml:2.0:profile:saml2.0:v2:schema:protocol" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"&gt;
            &lt;xacml:PolicySetIdReference&gt;<span style="background-color: yellow; font-weight: bold; ">urn:uuid:451fb3f6-7b35-4344-bee1-ddc26018cab3</span>&lt;/xacml:PolicySetIdReference&gt;
      &lt;/xacml-samlp:XACMLPolicyQuery&gt;
   &lt;/soap:Body&gt;
&lt;/soap:Envelope&gt;

</pre>
        <br>
        <h3>AddPolicyRequest example</h3>
        <pre>&lt;soap:Envelope xmlns:soap="http://www.w3.org/2003/05/soap-envelope" xmlns:xd="http://www.w3.org/2000/09/xmldsig#" xmlns:xe="http://www.w3.org/2001/04/xmlenc#"&gt;
   &lt;soap:Header xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;
      &lt;wsa:Action&gt;urn:e-health-suisse:2015:policy-administration:AddPolicy&lt;/wsa:Action&gt;
      &lt;wsa:MessageID&gt;306de2f9-f272-4eff-bedc-45e8ea825575&lt;/wsa:MessageID&gt;
      &lt;wsa:ReplyTo&gt;
         &lt;wsa:Address&gt;http://www.w3.org/2005/08/addressing/anonymous&lt;/wsa:Address&gt;
      &lt;/wsa:ReplyTo&gt;
      &lt;wsa:To&gt;https://ehealthsuisse.ihe-europe.net/ppq-repository?wsdl&lt;/wsa:To&gt;
      &lt;wsse:Security xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"&gt;
		<span style="font-weight: bold; ">&lt;!-- Add an assertion here &lt;saml2:Assertion.... --&gt;</span>
	&lt;/wsse:Security&gt;
   &lt;/soap:Header&gt;
   &lt;soap:Body&gt;
        &lt;epr:AddPolicyRequest xmlns:hl7="urn:hl7-org:v3" xmlns:xacml="urn:oasis:names:tc:xacml:2.0:policy:schema:os"
                                  xmlns:saml="urn:oasis:names:tc:SAML:2.0:assertion" xmlns:epr="urn:e-health-suisse:2015:policy-administration"
                                  xmlns:samlp="urn:oasis:names:tc:SAML:2.0:protocol" xmlns:xacml-context="urn:oasis:names:tc:xacml:2.0:context:schema:os"
                                  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xacml-samlp="urn:oasis:names:tc:xacml:2.0:profile:saml2.0:v2:schema:protocol"
                                  xmlns:xacml-saml="urn:oasis:names:tc:xacml:2.0:profile:saml2.0:v2:schema:assertion"&gt;
             &lt;saml:Assertion Version="2.0" ID="_b882d240-45cd-4fa3-aa9f-65394115d0e0" IssueInstant="2019-03-06T14:28:35.249Z"&gt;
                 &lt;saml:Issuer NameQualifier="urn:e-health-suisse:community-index"&gt;<span style="background-color: yellow; font-weight: bold; ">urn:oid:1.3.6.1.4.1.21367.2017.2.6.2</span>&lt;/saml:Issuer&gt;
                &lt;saml:Statement xsi:type="xacml-saml:XACMLPolicyStatementType"&gt;
                    &lt;xacml:PolicySet PolicySetId="<span style="background-color: yellow; font-weight: bold; ">urn:uuid:451fb3f6-7b35-4344-bee1-ddc26018cab3</span>" PolicyCombiningAlgId="urn:oasis:names:tc:xacml:1.0:policy-combining-algorithm:deny-overrides"&gt;
                      &lt;xacml:Description&gt;Patient specific PolicySet for EPD Setup 201 - granting full access to a patient at EPD setup&lt;/xacml:Description&gt;
                      &lt;xacml:Target&gt;
                         &lt;xacml:Subjects&gt;
                            &lt;xacml:Subject&gt;
                               &lt;xacml:SubjectMatch MatchId="urn:oasis:names:tc:xacml:1.0:function:string-equal"&gt;
                                   &lt;xacml:AttributeValue DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;<span style="background-color: yellow; font-weight: bold; ">761337610435209810</span>&lt;/xacml:AttributeValue&gt;
                                  &lt;xacml:SubjectAttributeDesignator AttributeId="urn:oasis:names:tc:xacml:1.0:subject:subject-id" DataType="http://www.w3.org/2001/XMLSchema#string"/&gt;
                               &lt;/xacml:SubjectMatch&gt;
                               &lt;xacml:SubjectMatch MatchId="urn:oasis:names:tc:xacml:1.0:function:anyURI-equal"&gt;
                                   &lt;xacml:AttributeValue DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;<span style="background-color: yellow; font-weight: bold; ">urn:e-health-suisse:2015:epr-spid</span>&lt;/xacml:AttributeValue&gt;
                                  &lt;xacml:SubjectAttributeDesignator AttributeId="urn:oasis:names:tc:xacml:1.0:subject:subject-id-qualifier" DataType="http://www.w3.org/2001/XMLSchema#string"/&gt;
                               &lt;/xacml:SubjectMatch&gt;
                               &lt;xacml:SubjectMatch MatchId="urn:hl7-org:v3:function:CV-equal"&gt;
                                  &lt;xacml:AttributeValue DataType="urn:hl7-org:v3#CV"&gt;
                                      &lt;hl7:CodedValue code="<span style="background-color: yellow; font-weight: bold; ">PAT</span>" codeSystem="2.16.756.5.30.1.127.3.10.6"/&gt;
                                  &lt;/xacml:AttributeValue&gt;
                                  &lt;xacml:SubjectAttributeDesignator DataType="urn:hl7-org:v3#CV" AttributeId="urn:oasis:names:tc:xacml:2.0:subject:role"/&gt;
                               &lt;/xacml:SubjectMatch&gt;
                            &lt;/xacml:Subject&gt;
                         &lt;/xacml:Subjects&gt;
                         &lt;xacml:Resources&gt;
                            &lt;xacml:Resource&gt;
                               &lt;xacml:ResourceMatch MatchId="urn:hl7-org:v3:function:II-equal"&gt;
                                  &lt;xacml:AttributeValue DataType="urn:hl7-org:v3#II"&gt;
                                      &lt;hl7:InstanceIdentifier root="<span style="background-color: yellow; font-weight: bold; ">2.16.756.5.30.1.127.3.10.3</span>" extension="<span style="background-color: yellow; font-weight: bold; ">761337610435209810</span>"/&gt;
                                  &lt;/xacml:AttributeValue&gt;
                                  &lt;xacml:ResourceAttributeDesignator DataType="urn:hl7-org:v3#II" AttributeId="urn:e-health-suisse:2015:epr-spid"/&gt;
                               &lt;/xacml:ResourceMatch&gt;
                            &lt;/xacml:Resource&gt;
                         &lt;/xacml:Resources&gt;
                      &lt;/xacml:Target&gt;
                      &lt;xacml:PolicySetIdReference&gt;urn:e-health-suisse:2015:policies:access-level:full&lt;/xacml:PolicySetIdReference&gt;
                   &lt;/xacml:PolicySet&gt;
                &lt;/saml:Statement&gt;
             &lt;/saml:Assertion&gt;
      &lt;/epr:AddPolicyRequest&gt;
   &lt;/soap:Body&gt;
&lt;/soap:Envelope&gt;
</pre>
        <br>
        <h3>UpdatePolicyRequest example</h3>
        <pre>&lt;soap:Envelope xmlns:soap="http://www.w3.org/2003/05/soap-envelope" xmlns:xd="http://www.w3.org/2000/09/xmldsig#" xmlns:xe="http://www.w3.org/2001/04/xmlenc#"&gt;
   &lt;soap:Header xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;
      &lt;wsa:Action&gt;urn:e-health-suisse:2015:policy-administration:UpdatePolicy&lt;/wsa:Action&gt;
      &lt;wsa:MessageID&gt;306de2f9-f272-4eff-bedc-45e8ea825575&lt;/wsa:MessageID&gt;
      &lt;wsa:ReplyTo&gt;
         &lt;wsa:Address&gt;http://www.w3.org/2005/08/addressing/anonymous&lt;/wsa:Address&gt;
      &lt;/wsa:ReplyTo&gt;
      &lt;wsa:To&gt;https://ehealthsuisse.ihe-europe.net/ppq-repository?wsdl&lt;/wsa:To&gt;
      &lt;wsse:Security xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"&gt;
		<span style="font-weight: bold; ">&lt;!-- Add an assertion here &lt;saml2:Assertion.... --&gt;</span>
	&lt;/wsse:Security&gt;
   &lt;/soap:Header&gt;
   &lt;soap:Body>
            &lt;epr:UpdatePolicyRequest xmlns:hl7="urn:hl7-org:v3" xmlns:xacml="urn:oasis:names:tc:xacml:2.0:policy:schema:os"
                                  xmlns:saml="urn:oasis:names:tc:SAML:2.0:assertion" xmlns:epr="urn:e-health-suisse:2015:policy-administration"
                                  xmlns:samlp="urn:oasis:names:tc:SAML:2.0:protocol" xmlns:xacml-context="urn:oasis:names:tc:xacml:2.0:context:schema:os"
                                  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xacml-samlp="urn:oasis:names:tc:xacml:2.0:profile:saml2.0:v2:schema:protocol"
                                  xmlns:xacml-saml="urn:oasis:names:tc:xacml:2.0:profile:saml2.0:v2:schema:assertion"&gt;
             &lt;saml:Assertion Version="2.0" ID="_b882d240-45cd-4fa3-aa9f-65394115d0e0" IssueInstant="2019-03-06T14:28:35.249Z"&gt;
                 &lt;saml:Issuer NameQualifier="urn:e-health-suisse:community-index"&gt;<span style="background-color: yellow; font-weight: bold; ">urn:oid:1.3.6.1.4.1.21367.2017.2.6.2</span>&lt;/saml:Issuer&gt;
                     &lt;saml:Statement xsi:type="xacml-saml:XACMLPolicyStatementType"&gt;
                    &lt;xacml:PolicySet PolicySetId="<span style="background-color: yellow; font-weight: bold; ">urn:uuid:451fb3f6-7b35-4344-bee1-ddc26018cab3</span>" PolicyCombiningAlgId="urn:oasis:names:tc:xacml:1.0:policy-combining-algorithm:deny-overrides"&gt;
                      &lt;xacml:Description&gt;Patient specific PolicySet for EPD Setup 201 - granting full access to a patient at EPD setup&lt;/xacml:Description&gt;
                      &lt;xacml:Target&gt;
                         &lt;xacml:Subjects&gt;
                            &lt;xacml:Subject&gt;
                               &lt;xacml:SubjectMatch MatchId="urn:oasis:names:tc:xacml:1.0:function:string-equal"&gt;
                                   &lt;xacml:AttributeValue DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;<span style="background-color: yellow; font-weight: bold; ">761337610435209810</span>&lt;/xacml:AttributeValue&gt;
                                  &lt;xacml:SubjectAttributeDesignator AttributeId="urn:oasis:names:tc:xacml:1.0:subject:subject-id" DataType="http://www.w3.org/2001/XMLSchema#string"/&gt;
                               &lt;/xacml:SubjectMatch&gt;
                               &lt;xacml:SubjectMatch MatchId="urn:oasis:names:tc:xacml:1.0:function:anyURI-equal"&gt;
                                   &lt;xacml:AttributeValue DataType="http://www.w3.org/2001/XMLSchema#anyURI"&gt;<span style="background-color: yellow; font-weight: bold; ">urn:e-health-suisse:2015:epr-spid</span>&lt;/xacml:AttributeValue&gt;
                                  &lt;xacml:SubjectAttributeDesignator AttributeId="urn:oasis:names:tc:xacml:1.0:subject:subject-id-qualifier" DataType="http://www.w3.org/2001/XMLSchema#string"/&gt;
                               &lt;/xacml:SubjectMatch&gt;
                               &lt;xacml:SubjectMatch MatchId="urn:hl7-org:v3:function:CV-equal"&gt;
                                  &lt;xacml:AttributeValue DataType="urn:hl7-org:v3#CV"&gt;
                                      &lt;hl7:CodedValue code="<span style="background-color: yellow; font-weight: bold; ">PAT</span>" codeSystem="2.16.756.5.30.1.127.3.10.6"/&gt;
                                  &lt;/xacml:AttributeValue&gt;
                                  &lt;xacml:SubjectAttributeDesignator DataType="urn:hl7-org:v3#CV" AttributeId="urn:oasis:names:tc:xacml:2.0:subject:role"/&gt;
                               &lt;/xacml:SubjectMatch&gt;
                            &lt;/xacml:Subject&gt;
                         &lt;/xacml:Subjects&gt;
                         &lt;xacml:Resources&gt;
                            &lt;xacml:Resource&gt;
                               &lt;xacml:ResourceMatch MatchId="urn:hl7-org:v3:function:II-equal"&gt;
                                  &lt;xacml:AttributeValue DataType="urn:hl7-org:v3#II"&gt;
                                      &lt;hl7:InstanceIdentifier root="<span style="background-color: yellow; font-weight: bold; ">2.16.756.5.30.1.127.3.10.3</span>" extension="<span style="background-color: yellow; font-weight: bold; ">761337610435209810</span>"/&gt;
                                  &lt;/xacml:AttributeValue&gt;
                                  &lt;xacml:ResourceAttributeDesignator DataType="urn:hl7-org:v3#II" AttributeId="urn:e-health-suisse:2015:epr-spid"/&gt;
                               &lt;/xacml:ResourceMatch&gt;
                            &lt;/xacml:Resource&gt;
                         &lt;/xacml:Resources&gt;
                      &lt;/xacml:Target&gt;
                      &lt;xacml:PolicySetIdReference&gt;urn:e-health-suisse:2015:policies:access-level:full&lt;/xacml:PolicySetIdReference&gt;
                 &lt;/xacml:PolicySet&gt;
                 &lt;/saml:Statement&gt;
             &lt;/saml:Assertion&gt;
      &lt;/epr:UpdatePolicyRequest&gt;
   &lt;/soap:Body&gt;
&lt;/soap:Envelope&gt;
</pre>
        <br>
        <h3>DeletePolicyRequest example</h3>
        <pre>&lt;soap:Envelope xmlns:soap="http://www.w3.org/2003/05/soap-envelope" xmlns:xd="http://www.w3.org/2000/09/xmldsig#" xmlns:xe="http://www.w3.org/2001/04/xmlenc#"&gt;
   &lt;soap:Header xmlns:wsa="http://www.w3.org/2005/08/addressing"&gt;
   &lt;wsa:Action&gt;urn:e-health-suisse:2015:policy-administration:DeletePolicy&lt;/wsa:Action&gt;
      &lt;wsa:MessageID&gt;9db0ea75-e374-4718-a653-4614cafe4726&lt;/wsa:MessageID&gt;
      &lt;wsa:ReplyTo&gt;
         &lt;wsa:Address&gt;http://www.w3.org/2005/08/addressing/anonymous&lt;/wsa:Address&gt;
      &lt;/wsa:ReplyTo&gt;
      &lt;wsa:To&gt;http://ehealthsuisse.ihe-europe.net/ppq-repository&lt;/wsa:To&gt;
      &lt;wss:Security xmlns:wss="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd"&gt;
     <span style="font-weight: bold; ">&lt;!-- Add an assertion here &lt;saml2:Assertion.... --&gt;</span>
      &lt;/wss:Security&gt;
   &lt;/soap:Header&gt;
   &lt;soap:Body&gt;
      &lt;epr:DeletePolicyRequest xmlns:epr="urn:e-health-suisse:2015:policy-administration"
                               xmlns:saml="urn:oasis:names:tc:SAML:2.0:assertion" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                               xmlns:xacml="urn:oasis:names:tc:xacml:2.0:policy:schema:os" &gt;
         &lt;saml:Assertion Version="2.0" ID="_9a71a18c-d7a7-4931-9168-150a8fbc5dc2" IssueInstant=""&gt;
            &lt;saml:Issuer NameQualifier="urn:e-health-suisse:community-index"&gt;<span style="background-color: yellow; font-weight: bold; ">urn:oid:1.3.6.1.4.1.21367.2017.2.6.2</span>&lt;/saml:Issuer&gt;
            &lt;saml:Statement xsi:type="epr:XACMLPolicySetIdReferenceStatementType"&gt;
              &lt;xacml:PolicySetIdReference&gt;<span style="background-color: yellow; font-weight: bold; ">urn:uuid:53ec6db9-f79a-40ce-a8ab-7e5070210bf1</span>&lt;/xacml:PolicySetIdReference&gt;
            &lt;/saml:Statement&gt;
         &lt;/saml:Assertion&gt;
      &lt;/epr:DeletePolicyRequest&gt;
   &lt;/soap:Body&gt;
&lt;/soap:Envelope&gt;
</pre>
    </div>
</div>
</body>
</html>
